Subject: connect call returning EADDRINUSE

From: Curtis Wilbar~ <[email-masked]>
Date: Tue, 30 May 1995 16:57:12 -0400 (EDT)

I have recently compiled and installed wu-ftpd 2.4 using gcc 2.6.3.
If I ftp to the server and do a "dir" command, every other time
it takes up to a minute to copmlete for even a short directory.

I did a trace on the server and this is what I found (the connect
followed by the signal code would happen 4 times, the fifth time
the connect would succeed). 

connect (10, "".., 16) = -1 EADDRINUSE (Address already in use)
setitimer (0, 0xf7ffe820, 0xf7ffe810) = 0
sigblock (0x2000) = 0
sigvec (14, 0xf7ffe804, 0xf7ffe7f8) = 0
sigvec (14, 0xf7ffe78c, 0) = 0
sigsetmask (0) = 0x2000
sigblock (0x2000) = 0
setitimer (0, 0xf7ffe820, 0) = 0
sigpause (0) = -1 EINTR (Interrupted system call)
- SIGALRM (14)
sigcleanup () = 0
sigblock (0x2000) = 0x2000
sigvec (14, 0xf7ffe7f8, 0) = 0
sigvec (14, 0xf7ffe78c, 0) = 0
sigsetmask (0x2000) = 0x2000
sigsetmask (0) = 0x2000
setitimer (0, 0xf7ffe810, 0) = 0
connect (10, "".., 16) = 0
write (1, "150 Opening ASCII mode data conn".., 53) = 53

This seems worst when the connection speed between the client and
the server is at it's greatest (local ethernet lan).  When separated
by several long hops, the delay is actually less, but it still
delays.

Anyone have any ideas ?

The sun in.ftpd did not exhibit this behavior.

Thanks,

  -- Curt

Curtis H. Wilbar Jr.
Chief Technical Officer
The Internet Connection, Inc.
[email-masked]